| Home | Libraries | People | FAQ | More

##### basic_static_string::find_last_of (2 of 5 overloads)

Find the last occurrence of any of the characters within the string.

###### Synopsis

    template<
        std::size_t M>
    constexpr size_type
    find_last_of(
        const basic_static_string< M, CharT, Traits >& str,
        size_type pos = npos) const;

###### Description

Finds the last occurrence of any of the characters within `str` within the string starting before or at the index `pos`.

###### Complexity

Linear.

###### Return Value

The index corrosponding to the last occurrence of any of the characters of `str` within `{begin(), begin() + pos}` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`str` | The characters to search for.
`pos` | The index to stop searching at. The default argument for this parameter is `npos`.